-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp - all rights reserved.
-- 
-- For more scripts and sample code, check out 
-- 	http://www.SQLSkills.com
-- For "More than Just Training," see the Industry Experts at 
-- 	http://www.SolidQualityLearning.com
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

SET STATISTICS IO ON
-- Turn Graphical Showplan ON (Ctrl+K)

USE Credit
go

-- First review the indexes on member
sp_helpindex charge
go

DECLARE @starttime    datetime,
                    @endtime1        datetime,
                    @endtime2        datetime
        SELECT @starttime = getdate()
SELECT count(*) 
FROM Charge 
WHERE Charge_amt * 1.086 > 4500

SELECT @endtime1 = getdate()
SELECT 'Q1 totaltime' = datediff(ms, @starttime, @endtime1)

SELECT count(*) 
FROM Charge 
WHERE Charge_amt > 4500/1.086

SELECT @endtime2 = getdate()
SELECT 'Q2 totaltime' = datediff(ms, @endtime1, @endtime2)

-- Inspired by a question in the Q&A - this one is quite scary

SELECT * FROM Member
WHERE LEFT(LastName,5) = 'Tripp' -- Causes a TABLE SCAN

SELECT * FROM Member
WHERE LastName LIKE 'Tripp%' -- Uses an Index